/irm/v1/phone-extensions/is-available

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

This call shows if an extension is available and if it isn't who it is assigned to.

Parameters

  • TenantID - How your specific customer instance is identified, this will be a number. Find this in the app Help (?) icon > MotionCX Voice > Tenant:
  • Extension - extension number.
  • It is recommended advanced filter object be done outside of the API document for best results.

Responses available:

  • 200
  • 401
  • 403

Example return 1:

{
  "isAvailable": true,
  "agentName": null,
  "userId": null
}

Example return 2:

{
  "isAvailable": false,
  "agentName": "Agent Smith",
  "userId": 13727
}
Query Params
int32
required
string
required
length ≥ 1
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

401

Unauthorized

403

Forbidden

Language
Credentials
Header
URL
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
text/plain
application/json
text/json